<?php


namespace AcyCheckerCmsServices;

use AcyChecker\Services\DebugService;
use \AcyChecker\Services\RouterService;

class WordPressMenu
{
    public function __construct()
    {
        if (defined('WP_ADMIN') && WP_ADMIN) {
            // Add AcyChecker menu in the back-end's left menu of WordPress
            add_action('admin_menu', [$this, 'addMenus'], 10);
        }
    }

    public function addMenus()
    {
        add_menu_page('AcyChecker', 'AcyChecker', 'read', ACYC_COMPONENT.'_dashboard', [$this, 'router']);

        add_submenu_page(ACYC_COMPONENT.'_dashboard',
            __('Clean my database', 'acychecker'),
            __('Clean my database', 'acychecker'),
            'read',
            ACYC_COMPONENT.'_configuration',
            [$this, 'router']);

        add_submenu_page(ACYC_COMPONENT.'_dashboard',
            __('Block on registration', 'acychecker'),
            __('Block on registration', 'acychecker'),
            'read',
            ACYC_COMPONENT.'_registration',
            [$this, 'router']);

        add_submenu_page(ACYC_COMPONENT.'_dashboard', __('Tests', 'acychecker'), __('Tests', 'acychecker'), 'read', ACYC_COMPONENT.'_tests', [$this, 'router']);
    }

    public function router()
    {
        new RouterService();
    }
}
