<?php


namespace AcyChecker\Services;

use AcyCheckerCmsServices\Language;

class PaginationService
{
    private $page;
    private $total;
    private $perPage;
    private $pageName;

    public function __construct($page, $total, $perPage, $pageName)
    {
        $this->page = $page;
        $this->total = $total;
        $this->perPage = $perPage;
        $this->pageName = $pageName;
    }

    public function display()
    {
        // We calculate the number of pages
        $numberOfPages = ceil($this->total / $this->perPage);

        $pagination = '<div class="pagination align-center cell grid-x" role="navigation" aria-label="Pagination">
                        <div class="cell shrink margin-auto grid-x grid-margin-x align-center">
                            <div class="small-auto medium-shrink pagination_container cell grid-x acyc_vcenter align-center">';


        $pagination .= '<div class="cell shrink pagination_border_left"></div>';
        $pagination .= '<input type="number" name="'.$this->pageName.'" min="1" max="'.(empty($numberOfPages) ? 1 : $numberOfPages).'" value="'.$this->page.'" class="cell shrink pagination_input" id="acyc_pagination_input">';
        $pagination .= '<p class="cell shrink margin-left-1 pagination_text">'.__('Out of', 'acychecker').' '.$numberOfPages.'</p>';
        $pagination .= '<div class="cell shrink pagination_border_right"></div>';

        $pagination .= '</div>';
        $pagination .= '</div>';

        return $pagination;
    }
}
