<?php

use AcyChecker\Services\FormService;
use AcyChecker\Services\TooltipService;
use AcyCheckerCmsServices\Form;
use AcyCheckerCmsServices\Language;

?>
<div id="acyc_configuration">
	<form action="" method="post" class="cell grid-x acyc_content">
		<h2 class="cell acyc__title"><?php echo __('Who?', 'acychecker'); ?></h2>
		<div class="cell grid-x">
			<p class="cell medium-3"><?php echo __('Which users tables you would like to clean?', 'acychecker'); ?></p>
            <?php foreach ($this->data['tables_select'] as $tableInfo) {
                $checked = in_array($tableInfo['value'], $this->data['current_config']['tables_selected']) ? 'checked' : '';
                ?>
				<div class="cell shrink margin-right-1">
					<label>
						<input type="checkbox" <?php echo $checked; ?>
							   value="<?php echo $tableInfo['value']; ?>"
							   name="acyc_config[tables_selected][<?php echo $tableInfo['value']; ?>]">
						<span><?php echo $tableInfo['text']; ?></span>
					</label>
				</div>
            <?php } ?>
		</div>
		<div class="cell grid-x">
			<p class="cell medium-3"><?php echo __('Test newly created users only', 'acychecker'); ?></p>
			<div class="cell shrink margin-right-1">
				<label>
					<input
                        <?php echo $this->data['current_config']['only_newly'] ? 'checked' : ''; ?>
							type="radio"
							value="1"
							name="acyc_config[only_newly]">
					<span><?php echo __('Yes', 'acychecker'); ?></span>
				</label>
			</div>
			<div class="cell shrink margin-right-1">
				<label>
					<input
                        <?php echo $this->data['current_config']['only_newly'] ? '' : 'checked'; ?>
							type="radio"
							value="0"
							name="acyc_config[only_newly]">
					<span><?php echo __('No', 'acychecker'); ?></span>
				</label>
			</div>
		</div>
        <?php foreach ($this->data['tables_filters'] as $nameKey => $tableFilter) { ?>
			<div class="cell grid-x" data-acyc-table="<?php echo $nameKey; ?>">
				<label for="<?php echo 'table_filter_'.$nameKey ?>" class="cell medium-3">
                    <?php echo sprintf(__('%s additional filters', 'acychecker'),
                        $tableFilter['text']
                    ); ?>
                    <?php echo TooltipService::info('ACYC_IF_NO_FILTER_SELECTED_ALL_TAKEN'); ?>
				</label>
				<div class="cell shrink">
                    <?php echo FormService::selectMultiple($tableFilter['values'],
                        'acyc_config[table_filter_'.$nameKey.']',
                        $this->data['current_config']['table_filter_'.$nameKey],
                        ['id' => 'table_filter_'.$nameKey]); ?>
				</div>
			</div>
        <?php } ?>
		<h2 class="cell acyc__title margin-top-2"><?php echo __('Conditions', 'acychecker'); ?></h2>
		<div class="cell grid-x align-center">
			<p class="cell"><?php echo __('Block / Disable the user account if its address:', 'acychecker'); ?></p>
			<div class="cell medium-10 grid-x">
                <?php foreach ($this->data['condition_select'] as $conditionSelect) {
                    $checked = in_array($conditionSelect['value'], $this->data['current_config']['conditions_selected']) ? 'checked' : '';
                    ?>
					<label class="cell medium-6">
						<input type="checkbox" <?php echo $checked; ?>
							   name="acyc_config[conditions_selected][<?php echo $conditionSelect['value']; ?>]"
							   value="<?php echo $conditionSelect['value']; ?>">
						<span><?php echo $conditionSelect['text']; ?><?php echo TooltipService::info($conditionSelect['description']); ?></span>
					</label>
                <?php } ?>
			</div>
		</div>
		<h2 class="cell acyc__title margin-top-2"><?php echo __('When?', 'acychecker'); ?></h2>
		<div class="cell grid-x">
			<p class="cell medium-3"><?php echo __('When do you want your cleaning process to run?', 'acychecker'); ?></p>
            <?php foreach ($this->data['execution_select'] as $executionInfo) {
                $checked = $this->data['current_config']['execution_selected'] == $executionInfo['value'] ? 'checked' : '';
                ?>
				<div class="cell shrink margin-right-1">
					<label>
						<input type="radio" <?php echo $checked; ?> value="<?php echo $executionInfo['value']; ?>" name="acyc_config[execution_selected]">
						<span><?php echo $executionInfo['text']; ?></span>
					</label>
				</div>
            <?php } ?>
		</div>
		<div class="cell grid-x align-center">
			<button class="cell shrink button" id="acyc__configuration__save__button"><?php echo __('Save', 'acychecker'); ?></button>
		</div>
        <?php Form::formOptions(true, 'save', null, 'configuration'); ?>
	</form>
</div>
