<?php

use AcyChecker\Services\StatusService;
use AcyCheckerCmsServices\Form;
use AcyCheckerCmsServices\Language;
use AcyCheckerCmsServices\Security;

?>
<form class="cell grid-x acyc_content" id="acyc__tests__listing" method="post">
	<div class="cell grid-x acyc__test__listing__actions">
		<div class="cell medium-6 grid-x acyc__test__listing__actions">
			<input type="text"
				   id="acyc__test__listing__actions__search-input"
				   placeholder="<?php echo __('Search', 'acychecker'); ?>"
				   class="cell grid-x medium-8"
				   name="search"
				   value="<?php echo Security::escape($this->data['search']); ?>">
			<button class="cell shrink button margin-left-1"><?php echo __('Search', 'acychecker'); ?></button>
		</div>
	</div>
	<div class="cell grid-x margin-top-2 margin-bottom-1">
        <?php echo StatusService::initStatusListing($this->data['status'], empty($this->data['current_status']) ? 'all' : $this->data['current_status']); ?>
	</div>
    <?php if (empty($this->data['elements'])) { ?>
		<h2 class="cell text-center"><?php echo __('There is no test to display', 'acychecker'); ?></h2>
    <?php } else { ?>
		<div class="cell grid-x acyc__test__listing__listing">
			<div class="cell grid-x acyc__test__listing__listing__header">
				<div class="cell medium-3 acyc__listing__header__title">
                    <?php echo __('Email', 'acychecker'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title">
                    <?php echo __('Date', 'acychecker'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title">
                    <?php echo __('Final status', 'acychecker'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo __('Disposable', 'acychecker'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo __('Free', 'acychecker'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo __('Accept all', 'acychecker'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo __('Role email', 'acychecker'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo __('Status', 'acychecker'); ?>
				</div>
			</div>
			<div class="cell grid-x acyc__test__listing__listing__body">
                <?php foreach ($this->data['elements'] as $test) { ?>
					<div class="cell grid-x acyc__listing__body__row">
						<div class="cell medium-3 acyc__listing__body__cell">
                            <?php echo $test->email; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell">
                            <?php echo $test->date; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell">
                            <?php echo empty($this->data['final_status_texts'][$test->final_status]) ? '-' : $this->data['final_status_texts'][$test->final_status]; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->disposable) ? '-' : $test->disposable; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->free) ? '-' : $test->free; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->accept_all) ? '-' : $test->accept_all; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->role_email) ? '-' : $test->role_email; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo $test->status; ?>
						</div>
					</div>
                <?php } ?>
			</div>
			<div class="cell grid-x margin-top-2">
                <?php echo $this->data['pagination']->display(); ?>
			</div>
		</div>
    <?php } ?>
    <?php Form::formOptions(true, 'listing', null, 'tests', true); ?>
</form>
